# $Revision: 1.19 $, $Date: 2008/07/27 22:35:25 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	GD
%define		pnam	Barcode
Summary:	GD::Barcode Perl module - create barcode image with GD
Summary(pl.UTF-8):	Moduł Perla GD::Barcode - do tworzenia obrazów z kodem paskowym
Name:		perl-GD-Barcode
Version:	1.15
Release:	3
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	53788170efb00b671ffb6ced5b5b897b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-GD
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD::Barcode is a subclass of GD and allows you to create barcode image
with GD.

%description -l pl.UTF-8
GD::Barcode jest podklasą klasy GD, pozwalającą na tworzenie obrazów
z kodem paskowym przy użyciu GD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/GD/Barcode.pm
%{perl_vendorlib}/GD/Barcode
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GD-Barcode.spec,v $
Revision 1.19  2008/07/27 22:35:25  arekm
- release 3

Revision 1.18  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:23  paladine
- formatting

Revision 1.15  2004/06/05 18:10:39  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.14  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.13  2004/05/06 18:09:37  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/25 16:20:39  adamg
- updated to 1.15

Revision 1.11  2004/04/21 08:40:38  ankry
- license fixes/unification

Revision 1.10  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/29 14:09:08  migo
- up to 1.14

Revision 1.8  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:36:24  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:32:33  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/18 12:07:01  blues
- release 2 - license fix; STBR

Revision 1.1  2002/07/20 23:11:03  qboosh
- new

